<template>
  <div class="w-full flex items-center rounded-[8px] gap-2 p-4 bg-surface cardShadow">
    <a :href="urlRef" target="_blank" rel="noopener noreferrer" class="text-sm underline">
      {{ urlRef }}
    </a>

    <div class="flex items-center gap-1">
      <div
        class="flex p-1 hover:bg-very-light-grey rounded cursor-pointer items-center justify-center !text-dark-grey hover:!text-fake-black"
        @click="onEdit"
      >
        <Icon icon="mdi:pencil-outline" height="20" width="20" />
      </div>

      <div
        class="flex p-1 hover:bg-very-light-grey rounded cursor-pointer items-center justify-center !text-dark-grey hover:!text-fake-black"
        @click="onClear"
      >
        <Icon icon="mdi:trash-can-outline" height="20" width="20" />
      </div>
    </div>
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import { ref, watch, onMounted } from "vue";

onMounted(() => {
  urlRef.value = props.url;
});

const props = defineProps({
  url: { type: String, default: null },
});

const emits = defineEmits(['on-edit', 'on-clear'])

const urlRef = ref(null);

const onEdit = () => {
  emits('on-edit');
}

const onClear = () => {
  emits('on-clear');
}

watch(props, (newValue, oldValue) => {
  if (newValue) {
    urlRef.value = props.url;
  }
});
</script>

<style lang="scss">
.cardShadow {
  box-shadow: 0px 8px 10px 0px rgba(0, 0, 0, 0.14), 0px 3px 14px 0px rgba(0, 0, 0, 0.12), 0px 5px 5px 0px rgba(0, 0, 0, 0.20);
}
</style>